> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quiva.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List DNS zones

> Lists the DNS zones visible to the caller.



## OpenAPI

````yaml /api-reference/endpoint/gateway/openapi.json get /gateway/dns-zone/all
openapi: 3.0.3
info:
  title: quiva.ai Gateways API
  description: >-
    quiva.ai Gateway API for managing gateway infrastructure and routing API
    requests.
  version: 1.0.0
  contact:
    name: quiva.ai Support
    email: support@quiva.ai
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Gateways
    description: Gateway management endpoints
  - name: Mappings
    description: Gateway Mapping management endpoints
  - name: Mapping Versions
    description: Gateway Mapping Version management endpoints
  - name: DNS Zones
    description: Custom domain zones managed on the gateway
  - name: DNS Records
    description: Records inside a DNS zone, and the domains a gateway answers on
  - name: Certificates
    description: TLS certificates for a DNS record
paths:
  /gateway/dns-zone/all:
    get:
      tags:
        - DNS Zones
      summary: List DNS zones
      description: Lists the DNS zones visible to the caller.
      operationId: getDnsZones
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  body:
                    type: object
                    properties:
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            subject:
                              type: string
                              description: Zone subject
                            account_id:
                              type: string
                              description: Owning account
                            domain:
                              type: string
                              description: Zone domain
                            soa:
                              type: object
                              properties:
                                domain:
                                  type: string
                                  description: Zone domain
                                primary:
                                  type: string
                                  description: Primary name server
                                email:
                                  type: string
                                  description: Admin email
                                serial:
                                  type: integer
                                refresh:
                                  type: integer
                                retry:
                                  type: integer
                                expire:
                                  type: integer
                            version:
                              type: integer
                      results_total:
                        type: integer
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.